No video is recorded

Reported by Alin Andrei on 2010-09-05
32
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Kazam Screencaster
Critical
Unassigned

Bug Description

I'm using Ubuntu 10.10 Maverick Meerkat and no video is recorded when using Kazam. Here is the terminal output:

  libavutil 50.15. 1 / 50.15. 1
  libavcodec 52.72. 2 / 52.72. 2
  libavformat 52.64. 2 / 52.64. 2
  libavdevice 52. 2. 0 / 52. 2. 0
  libavfilter 1.19. 0 / 1.19. 0
  libswscale 0.11. 0 / 0.11. 0
  libpostproc 51. 2. 0 / 51. 2. 0
Unknown input format: 'x11grab'
`menu_proxy_module_load': /usr/bin/python: undefined symbol: menu_proxy_module_load
`menu_proxy_module_load': /usr/bin/python: undefined symbol: menu_proxy_module_load
`menu_proxy_module_load': /usr/bin/python: undefined symbol: menu_proxy_module_load
`menu_proxy_module_load': /usr/bin/python: undefined symbol: menu_proxy_module_load
`menu_proxy_module_load': /usr/bin/python: undefined symbol: menu_proxy_module_load
`menu_proxy_module_load': /usr/bin/python: undefined symbol: menu_proxy_module_load
`menu_proxy_module_load': /usr/bin/python: undefined symbol: menu_proxy_module_load
`menu_proxy_module_load': /usr/bin/python: undefined symbol: menu_proxy_module_load
`menu_proxy_module_load': /usr/bin/python: undefined symbol: menu_proxy_module_load
`menu_proxy_module_load': /usr/bin/python: undefined symbol: menu_proxy_module_load
FFmpeg version 0.6-4:0.6-2ubuntu2, Copyright (c) 2000-2010 the FFmpeg developers
  built on Jul 12 2010 01:02:19 with gcc 4.4.4
  configuration: --extra-version=4:0.6-2ubuntu2 --prefix=/usr --enable-avfilter --enable-avfilter-lavf --enable-vdpau --enable-bzlib --enable-libgsm --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libvorbis --enable-vaapi --enable-pthreads --enable-zlib --enable-libvpx --disable-stripping --enable-runtime-cpudetect --enable-gpl --enable-postproc --enable-x11grab --enable-libdc1394 --enable-shared --disable-static
  WARNING: library configuration mismatch
  libavutil configuration: --extra-version=4:0.6-2ubuntu1 --prefix=/usr --enable-avfilter --enable-avfilter-lavf --enable-vdpau --enable-bzlib --enable-libdirac --enable-libgsm --enable-libopenjpeg --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libvorbis --enable-vaapi --enable-pthreads --enable-zlib --enable-libvpx --disable-stripping --enable-runtime-cpudetect --enable-libmp3lame --enable-gpl --enable-postproc --enable-x11grab --enable-libfaad --enable-libxvid --enable-libx264 --enable-librtmp --enable-libdc1394 --shlibdir=/usr/lib/i686/cmov --cpu=i686 --enable-shared --disable-static --disable-ffmpeg --disable-ffplay
  libavcodec configuration: --extra-version=4:0.6-2ubuntu1 --prefix=/usr --enable-avfilter --enable-avfilter-lavf --enable-vdpau --enable-bzlib --enable-libdirac --enable-libgsm --enable-libopenjpeg --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libvorbis --enable-vaapi --enable-pthreads --enable-zlib --enable-libvpx --disable-stripping --enable-runtime-cpudetect --enable-libmp3lame --enable-gpl --enable-postproc --enable-x11grab --enable-libfaad --enable-libxvid --enable-libx264 --enable-librtmp --enable-libdc1394 --shlibdir=/usr/lib/i686/cmov --cpu=i686 --enable-shared --disable-static --disable-ffmpeg --disable-ffplay
  libavformat configuration: --extra-version=4:0.6-2ubuntu1 --prefix=/usr --enable-avfilter --enable-avfilter-lavf --enable-vdpau --enable-bzlib --enable-libdirac --enable-libgsm --enable-libopenjpeg --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libvorbis --enable-vaapi --enable-pthreads --enable-zlib --enable-libvpx --disable-stripping --enable-runtime-cpudetect --enable-libmp3lame --enable-gpl --enable-postproc --enable-x11grab --enable-libfaad --enable-libxvid --enable-libx264 --enable-librtmp --enable-libdc1394 --shlibdir=/usr/lib/i686/cmov --cpu=i686 --enable-shared --disable-static --disable-ffmpeg --disable-ffplay
  libavdevice configuration: --extra-version=4:0.6-2ubuntu2 --prefix=/usr --enable-avfilter --enable-avfilter-lavf --enable-vdpau --enable-bzlib --enable-libgsm --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libvorbis --enable-vaapi --enable-pthreads --enable-zlib --enable-libvpx --disable-stripping --enable-runtime-cpudetect --enable-gpl --enable-postproc --enable-x11grab --enable-libdc1394 --shlibdir=/usr/lib/i686/cmov --cpu=i686 --enable-shared --disable-static --disable-ffmpeg --disable-ffplay
  libavfilter configuration: --extra-version=4:0.6-2ubuntu2 --prefix=/usr --enable-avfilter --enable-avfilter-lavf --enable-vdpau --enable-bzlib --enable-libgsm --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libvorbis --enable-vaapi --enable-pthreads --enable-zlib --enable-libvpx --disable-stripping --enable-runtime-cpudetect --enable-gpl --enable-postproc --enable-x11grab --enable-libdc1394 --shlibdir=/usr/lib/i686/cmov --cpu=i686 --enable-shared --disable-static --disable-ffmpeg --disable-ffplay
  libswscale configuration: --extra-version=4:0.6-2ubuntu2 --prefix=/usr --enable-avfilter --enable-avfilter-lavf --enable-vdpau --enable-bzlib --enable-libgsm --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libvorbis --enable-vaapi --enable-pthreads --enable-zlib --enable-libvpx --disable-stripping --enable-runtime-cpudetect --enable-gpl --enable-postproc --enable-x11grab --enable-libdc1394 --shlibdir=/usr/lib/i686/cmov --cpu=i686 --enable-shared --disable-static --disable-ffmpeg --disable-ffplay
  libpostproc configuration: --extra-version=4:0.6-2ubuntu2 --prefix=/usr --enable-avfilter --enable-avfilter-lavf --enable-vdpau --enable-bzlib --enable-libgsm --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libvorbis --enable-vaapi --enable-pthreads --enable-zlib --enable-libvpx --disable-stripping --enable-runtime-cpudetect --enable-gpl --enable-postproc --enable-x11grab --enable-libdc1394 --shlibdir=/usr/lib/i686/cmov --cpu=i686 --enable-shared --disable-static --disable-ffmpeg --disable-ffplay
  libavutil 50.15. 1 / 50.15. 1
  libavcodec 52.72. 2 / 52.72. 2
  libavformat 52.64. 2 / 52.64. 2
  libavdevice 52. 2. 0 / 52. 2. 0
  libavfilter 1.19. 0 / 1.19. 0
  libswscale 0.11. 0 / 0.11. 0
  libpostproc 51. 2. 0 / 51. 2. 0
/tmp/tmpQkuvrk.mkv: No such file or directory
Exception in thread Thread-2:
Traceback (most recent call last):
  File "/usr/lib/python2.6/threading.py", line 532, in __bootstrap_inner
    self.run()
  File "/usr/lib/python2.6/threading.py", line 484, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib/python2.6/dist-packages/kazam/backend/export_sources/videobin.py", line 70, in upload_in
    self.curl.perform()
error: (26, 'failed creating formpost data')

'UploadSource' object has no attribute 'url'

Andrew (and471) wrote :

I think this is because libavdevice52 is not installed. Please install this and try it out.

I shall update the PPA with this fix in the mean time.

Changed in kazam:
status: New → Fix Released
Alin Andrei (nilarimogard) wrote :

Unfortunately that's not it:

andrei@andrei-desktop:~/Desktop$ sudo apt-get install libavdevice52
Reading package lists... Done
Building dependency tree
Reading state information... Done
libavdevice52 is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 13 not upgraded.
andrei@andrei-desktop:~/Desktop$

Andrew (and471) wrote :

What about libxfixes3 and libxext6?

Changed in kazam:
status: Fix Released → In Progress
Alin Andrei (nilarimogard) wrote :

Unfortunately I have those too already:

andrei@andrei-desktop:~/Desktop$ sudo apt-get install libxfixes3 libxext6
[sudo] password for andrei:
Reading package lists... Done
Building dependency tree
Reading state information... Done
libxext6 is already the newest version.
libxfixes3 is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 13 not upgraded.
andrei@andrei-desktop:~/Desktop$

Alin Andrei (nilarimogard) wrote :

Some additional info: I've also tried Kazam last week (found a link on DeviantArt) in Ubuntu 10.04 Lucid Lynx and I had the exact same "Unknown input format: 'x11grab'" error.

Alan Pope ㋛ (popey) wrote :

I too am getting "Unknown input format: 'x11grab'"

Looks like a bug in ffmpeg. Have filed Bug #631103

Andrew (and471) on 2010-09-06
Changed in kazam:
importance: Undecided → Critical
Andrew (and471) wrote :

Thanks popey, hopefully this can be rectified pretty quickly :/

Alin Andrei (nilarimogard) wrote :

I got to work today where I'm using Ubuntu 10.04 Lucid Lynx and here it's a different error but Kazam still doesn't record any video. Here's the terminal output:

andrei@andrei-desktop:~$ kazam
FFmpeg version SVN-r0.5.1-4:0.5.1-1ubuntu1, Copyright (c) 2000-2009 Fabrice Bellard, et al.
  configuration: --extra-version=4:0.5.1-1ubuntu1 --prefix=/usr --enable-avfilter --enable-avfilter-lavf --enable-vdpau --enable-bzlib --enable-libgsm --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libvorbis --enable-pthreads --enable-zlib --disable-stripping --disable-vhook --enable-runtime-cpudetect --enable-gpl --enable-postproc --enable-swscale --enable-x11grab --enable-libdc1394 --enable-shared --disable-static
  libavutil 49.15. 0 / 49.15. 0
  libavcodec 52.20. 1 / 52.20. 1
  libavformat 52.31. 0 / 52.31. 0
  libavdevice 52. 1. 0 / 52. 1. 0
  libavfilter 0. 4. 0 / 0. 4. 0
  libswscale 0. 7. 1 / 0. 7. 1
  libpostproc 51. 2. 0 / 51. 2. 0
  built on Mar 4 2010 12:35:30, gcc: 4.4.3
[x11grab @ 0x93a02c0]device: :0.0 -> display: :0.0 x: 0 y: 0 width: 1024 height: 768
[x11grab @ 0x93a02c0]shared memory extension found
Input #0, x11grab, from ':0.0':
  Duration: N/A, start: 1283758222.331938, bitrate: 754974 kb/s
    Stream #0.0: Video: rawvideo, rgb32, 1024x768, 754974 kb/s, 30 tbr, 1000k tbn, 30 tbc
Unknown encoder 'libx264'
Traceback (most recent call last):
  File "/usr/lib/python2.6/dist-packages/kazam/app.py", line 117, in cb_save_requested
    shutil.move(self.recording.get_filename(), uri)
  File "/usr/lib/python2.6/shutil.py", line 264, in move
    copy2(src, real_dst)
  File "/usr/lib/python2.6/shutil.py", line 99, in copy2
    copyfile(src, dst)
  File "/usr/lib/python2.6/shutil.py", line 52, in copyfile
    fsrc = open(src, 'rb')
IOError: [Errno 2] No such file or directory: '/tmp/tmpDBxGIY.mkv'

Vadim Peretokin (vperetokin) wrote :

I have the same issue as above. I do have libx264 installed.

$ kazam
FFmpeg version SVN-r0.5.1-4:0.5.1-1ubuntu1, Copyright (c) 2000-2009 Fabrice Bellard, et al.
  configuration: --extra-version=4:0.5.1-1ubuntu1 --prefix=/usr --enable-avfilter --enable-avfilter-lavf --enable-vdpau --enable-bzlib --enable-libgsm --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libvorbis --enable-pthreads --enable-zlib --disable-stripping --disable-vhook --enable-runtime-cpudetect --enable-gpl --enable-postproc --enable-swscale --enable-x11grab --enable-libdc1394 --enable-shared --disable-static
  libavutil 49.15. 0 / 49.15. 0
  libavcodec 52.20. 1 / 52.20. 1
  libavformat 52.31. 0 / 52.31. 0
  libavdevice 52. 1. 0 / 52. 1. 0
  libavfilter 0. 4. 0 / 0. 4. 0
  libswscale 0. 7. 1 / 0. 7. 1
  libpostproc 51. 2. 0 / 51. 2. 0
  built on Mar 4 2010 12:41:55, gcc: 4.4.3
[x11grab @ 0x2559260]device: :0.0 -> display: :0.0 x: 0 y: 0 width: 1024 height: 768
[x11grab @ 0x2559260]shared memory extension found
Input #0, x11grab, from ':0.0':
  Duration: N/A, start: 1283799982.429199, bitrate: 754974 kb/s
    Stream #0.0: Video: rawvideo, rgb32, 1024x768, 754974 kb/s, 30 tbr, 1000k tbn, 30 tbc
Unknown encoder 'libx264'
Traceback (most recent call last):
  File "/usr/lib/python2.6/dist-packages/kazam/app.py", line 117, in cb_save_requested
    shutil.move(self.recording.get_filename(), uri)
  File "/usr/lib/python2.6/shutil.py", line 264, in move
    copy2(src, real_dst)
  File "/usr/lib/python2.6/shutil.py", line 99, in copy2
    copyfile(src, dst)
  File "/usr/lib/python2.6/shutil.py", line 52, in copyfile
    fsrc = open(src, 'rb')
IOError: [Errno 2] No such file or directory: '/tmp/tmp459tiH.mkv'

Justin (deadite81) wrote :

I also suffer from this problem. I'm using Ubuntu 10.10.

Here is the output from trying to record to trying to save:

http://pastie.org/1141988

It's pretty much the same as the first poster's output.

Andrew (and471) wrote :

Okay, the issue was with ffmpeg in Maverick (Bug #631103) and someone has found a fix. Hopefully, this can be uploaded quite soon, otherwise I will upload a version of ffmpeg, with the patch, to the PPA.

Alin Andrei (nilarimogard) wrote :

I highly recommend against packaging ffmpeg into the PPA. Most PPAs who packaged their own ffmpeg packaged ended up breaking all the applications that depend on ffmpeg (the packages need to be rebuilt against the new ffmpeg package).

Alin Andrei (nilarimogard) wrote :

Unless of course, you use the exact same ffmpeg version, but which uses the patch.

Yes, that is what I would plan to do :)

On 11 September 2010 12:26, Alin Andrei <email address hidden> wrote:
> Unless of course, you use the exact same ffmpeg version, but which uses
> the patch.
>
> --
> No video is recorded
> https://bugs.launchpad.net/bugs/630991
> You received this bug notification because you are the registrant for
> Kazam screencaster.
>

Greg Ryman (ryman-greg) wrote :

There's a new issue with the release that was pushed out today:

Compiling /usr/lib/python2.6/dist-packages/kazam/version.py ...
Sorry: IndentationError: ('unexpected indent', ('/usr/lib/python2.6/dist-packages/kazam/version.py', 2, 4, " VERSION='0.1'\n"))
pycentral: pycentral pkginstall: error byte-compiling files (22)
pycentral pkginstall: error byte-compiling files (22)
dpkg: error processing kazam (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 kazam
E: Sub-process /usr/bin/dpkg returned an error code (1)

Andrew (and471) wrote :

Okay I have uploaded a patched version of ffmpeg into the PPA. It is the version of ffmpeg in Maverick (so no compatibility problems etc.), however it has x11grab enabled, meaning recording in Kazam will now work.

Please test and report any issues! :)

Changed in kazam:
status: In Progress → Fix Committed
Greg Ryman (ryman-greg) wrote :

ii kazam 0+66~maverick1 easy to use application for recording on-scr

greg@moniker:~/Downloads$ kazam
Xlib.protocol.request.QueryExtension
FFmpeg version 0.6-4:0.6-2ubuntu2, Copyright (c) 2000-2010 the FFmpeg developers
  built on Jul 12 2010 01:02:52 with gcc 4.4.4
  configuration: --extra-version=4:0.6-2ubuntu2 --prefix=/usr --enable-avfilter --enable-avfilter-lavf --enable-vdpau --enable-bzlib --enable-libgsm --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libvorbis --enable-vaapi --enable-pthreads --enable-zlib --enable-libvpx --disable-stripping --enable-runtime-cpudetect --enable-gpl --enable-postproc --enable-x11grab --enable-libdc1394 --enable-shared --disable-static
  WARNING: library configuration mismatch
  libavutil configuration: --extra-version=4:0.6-2ubuntu1 --prefix=/usr --enable-avfilter --enable-avfilter-lavf --enable-vdpau --enable-bzlib --enable-libdirac --enable-libgsm --enable-libopenjpeg --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libvorbis --enable-vaapi --enable-pthreads --enable-zlib --enable-libvpx --disable-stripping --enable-runtime-cpudetect --enable-libmp3lame --enable-gpl --enable-postproc --enable-x11grab --enable-libfaad --enable-libxvid --enable-libx264 --enable-librtmp --enable-libdc1394 --enable-shared --disable-static
  libavcodec configuration: --extra-version=4:0.6-2ubuntu1 --prefix=/usr --enable-avfilter --enable-avfilter-lavf --enable-vdpau --enable-bzlib --enable-libdirac --enable-libgsm --enable-libopenjpeg --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libvorbis --enable-vaapi --enable-pthreads --enable-zlib --enable-libvpx --disable-stripping --enable-runtime-cpudetect --enable-libmp3lame --enable-gpl --enable-postproc --enable-x11grab --enable-libfaad --enable-libxvid --enable-libx264 --enable-librtmp --enable-libdc1394 --enable-shared --disable-static
  libavutil 50.15. 1 / 50.15. 1
  libavcodec 52.72. 2 / 52.72. 2
  libavformat 52.64. 2 / 52.64. 2
  libavdevice 52. 2. 0 / 52. 2. 0
  libavfilter 1.19. 0 / 1.19. 0
  libswscale 0.11. 0 / 0.11. 0
  libpostproc 51. 2. 0 / 51. 2. 0
Unknown input format: 'x11grab'
Traceback (most recent call last):
  File "/usr/lib/python2.6/dist-packages/kazam/app.py", line 123, in cb_save_requested
    shutil.move(self.recording.get_filename(), uri)
  File "/usr/lib/python2.6/shutil.py", line 260, in move
    copy2(src, real_dst)
  File "/usr/lib/python2.6/shutil.py", line 95, in copy2
    copyfile(src, dst)
  File "/usr/lib/python2.6/shutil.py", line 50, in copyfile
    with open(src, 'rb') as fsrc:
IOError: [Errno 2] No such file or directory: '/tmp/tmpJknHx2.mkv'

Alin Andrei (nilarimogard) wrote :

Great, I'll give it a try right away.

One note: please keep an eye of new ffmpeg versions in Maverick - you'll need to add them to the PPA so it doesn't break stuff.

Alin Andrei (nilarimogard) wrote :

I can confirm you can now record a video in Ubuntu 10.10 Maverick Meerkat!

Andrew (and471) wrote :

Thanks Alin, marking as fix released (I shouldn't have to watch the version of ffmpeg in maverick, as I have set it up as a daily build, merging the fix from another branch so it should always be uptodate).

(Then again, I say 'should') :D

Changed in kazam:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers